What iOS, Android or Kindle operating systems does Seesaw support?

iOS

Seesaw supports iOS devices running iOS 10 or newer. 

Unfortunately, we cannot provide app versions that run on older OS, and can only recommend you upgrade to the newer version. Seesaw requires features of these newer operating systems to run. 

Android

Seesaw supports Lollipop (API 22) and newer.

How to check what version you have: 
http://www.wikihow.com/Check-What-Android-Version-You-Have

If you're running an earlier version of the Android OS (Ice Cream Sandwich, Honeycomb, etc), you won't be able to download Seesaw from the Google Play Store. Unfortunately, we cannot provide app versions that run on older OS, and can only recommend you upgrade to the newer version. Seesaw requires features of these newer operating systems to run.

If you have a supported Android OS, but the app will not install, first clear your Play Store Cache. 

  1. Go to the Settings menu for your device.
  2. Navigate to Applications -> Manage Applications -> All -> Google Play Store.
  3. Tap the Clear Cache button.

If that does not help, Google has requested you contact them directly. Go to: https://support.google.com/googleplay/contactflow?hl=en. Choose the Play Store option. They have phone and chat support. 

We support ARM cpu types. X86 and MIPS are not supported. If you go to the Play Store, and your device uses one of these unsupported CPUs, it will say "Your device is not supported". 

Kindle Fire

We support Kindle Fire HD devices running Android Lollipop (API 22) and newer. Here's how to find out what Kindle you have.

 

Have more questions? Submit a request